Loading...
Searching...
No Matches
ea_filesystem.hpp File Reference
Private

filesystem dependent Extended Attributes operations More...

`#include "../my_config.h"`
`#include <string>`
`#include "ea.hpp"`
`#include "mask.hpp"`

Go to the source code of this file.

## Namespaces

namespace | libdar
| libdar namespace encapsulate all libdar symbols

## Functions

ea_attributs * | libdar::ea_filesystem_read_ea (const std::string &chemin, const mask &filter)
| read EA associated to a given file
bool | libdar::ea_filesystem_write_ea (const std::string &chemin, const ea_attributs &val, const mask &filter)
| overwrite some attribute to a given file's attribute list
void | libdar::ea_filesystem_clear_ea (const std::string &name, const mask &filter)
| remove all EA of a given file that match a given mask
bool | libdar::ea_filesystem_has_ea (const std::string &name)
| test the presence of EA for a given file
bool | libdar::ea_filesystem_has_ea (const std::string &name, const mask &filter)
| test the presence of EA for a given file

## Detailed Description

filesystem dependent Extended Attributes operations

This file contains a set of routines used to manipulate (read, write or test the presence of) Extended Attributes

Definition in file ea_filesystem.hpp.